<?php
session_start();
include("config.php");
include("funciones.php");
$validacion = validacion_usuario($con);
if($validacion == 1){
		date_default_timezone_set("America/Lima");
		$imagen=$_FILES['imagen_cabecera']['name'];
		$titulo = $_POST['titulo'];
		$descripcion = $_POST['cuerpo_interno']; 
		$tipo = $_POST['combo_tipo_exito'];
		$video = $_POST['video']; 
		$sector = $_POST['sector'];  
		$titulo_v= filter_var($titulo,  FILTER_SANITIZE_STRING);
		$descripcion_v= filter_var($descripcion,  FILTER_SANITIZE_STRING);
		$tipo_v= filter_var($tipo,  FILTER_SANITIZE_STRING);
		$sector_v= filter_var($sector,  FILTER_SANITIZE_STRING);
		if($titulo_v && $descripcion_v && $tipo_v && $sector_v)	
		{
			$titulo_real = mysqli_real_escape_string($con,$titulo_v);
			$tipo_real = mysqli_real_escape_string($con,$tipo_v);	
			$sector_real = mysqli_real_escape_string($con,$sector_v);
			$estado=1;
			$fecha=date("Y-m-j");
			if($tipo_v == 1){
				$imagen_v= filter_var($imagen,  FILTER_SANITIZE_STRING);
				if($imagen_v){
					$img_file_cabecera=$_FILES['imagen_cabecera'];
					$array_img=array($img_file_cabecera);
					$dir="img/casosexito/";												
						$restriccion="";
						$fin=0;							
						list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_file_cabecera,"","",$dir);
						if($valorSubida1 = "1"){
							$imagen=$nuevos_nombres[0];													
							$sql = "INSERT INTO exito (id ,titulo,tipo, descripcion, imagen_cabecera, orden,sector,estado,fecha_creacion) VALUES
						    (NULL ,'$titulo_real', $tipo_real, '$descripcion','$imagen',0,$sector_real,1,'$fecha')";
								if(mysqli_query($con,$sql)){
									echo "Grabando...";
								?>
								<script type="text/javascript">
								window.location.href = "casosexito.php";
								</script>
								<?php
								}else{
									echo "Error al grabar, por favor intente denuevo";
										?>
										<script type="text/javascript">
										redireccionarPagina();
										</script>
									<?php
								}
							
						}else{
							echo "Error al subir las imágenes, por favor intente denuevo";
										?>
										<script type="text/javascript">
										redireccionarPagina();
										</script>
									<?php										  
			    		}	
				}else{
					echo "Adicione imágenes, por favor intente denuevo";
						?>
										<script type="text/javascript">
										redireccionarPagina();
										</script>
									<?php
				}					
			}elseif($tipo_v  =="2") {
				$video_v= filter_var($video,  FILTER_SANITIZE_STRING);	
				if($video_v){						
					$video_real = mysqli_real_escape_string($con,$video_v);
					$sql = "INSERT INTO exito (id ,titulo,tipo, descripcion, video, orden,sector,estado,fecha_creacion) VALUES
					(NULL ,'$titulo_real', '$tipo_real', '$descripcion','$video_real',0,$sector_real,$estado,'$fecha')";
						if(mysqli_query($con,$sql)){			
							echo "Grabando...";
						?>
						<script type="text/javascript">
						window.location.href = "casosexito.php";
						</script>
					<?php
					}else{
						echo "Error al grabar, por favor intente denuevo";
										?>
										<script type="text/javascript">
										redireccionarPagina();
										</script>
									<?php
					}
				}else{
						echo "Adicione el link del video, por favor intente denuevo";
						?>
						<script type="text/javascript">
						redireccionarPagina();
						</script>
					<?php
				}
			}
		}else{
			echo "Lo sentimos, los datos estan íncompletos o son incorrectos";
			?>
			<script type="text/javascript">
			redireccionarPagina();
			</script>
			<?php
		}			
}
?>
<script type="text/javascript">
	function redireccionarPagina() {
		 window.location = "casosexito.php";
	}
	setTimeout("redireccionarPagina()", 1000);
</script>
